package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*定时任务日志
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("schedule_job_log")
public class ScheduleJobLogEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.ScheduleJobLogEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String log_id = CLASS_NAME + "log_id";              // 任务日志id
    public final static String job_id = CLASS_NAME + "job_id";              // 任务id
    public final static String bean_name = CLASS_NAME + "bean_name";        // spring bean名称
    public final static String method_name = CLASS_NAME + "method_name";    // 方法名
    public final static String params_ = CLASS_NAME + "params";             // 
    public final static String status_ = CLASS_NAME + "status";             // 任务状态    0：成功    1：失败
    public final static String error_ = CLASS_NAME + "error";               // 失败信息
    public final static String times_ = CLASS_NAME + "times";               // 耗时(单位：毫秒)
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String id_ = CLASS_NAME + "id";                     // id 
    //任务日志id
    @TableId(value = "log_id", type = IdType.AUTO)
    private Long logId;
    //任务id
    private Long jobId;
    //spring bean名称
    private String beanName;
    //方法名
    private String methodName;
    //
    private String params;
    //任务状态    0：成功    1：失败
    private Integer status;
    //失败信息
    private String error;
    //耗时(单位：毫秒)
    private Integer times;
    //创建时间
    private Date createTime;
    //是否删除
    private Integer isDelete;
    //修改时间
    private Date modifyTime;
    //id 
    private Integer id;
    /**
     * 任务日志id 
     * @return
     */
    public Long getLogId() {
        return logId;
    }
    /**
     * 任务日志id 
     * @param logId
     */
    public void setLogId(Long logId) {
        this.logId = logId;
    }

    /**
     * 任务id 
     * @return
     */
    public Long getJobId() {
        return jobId;
    }
    /**
     * 任务id 
     * @param jobId
     */
    public void setJobId(Long jobId) {
        this.jobId = jobId;
    }

    /**
     * spring bean名称 
     * @return
     */
    public String getBeanName() {
        return beanName;
    }
    /**
     * spring bean名称 
     * @param beanName
     */
    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    /**
     * 方法名 
     * @return
     */
    public String getMethodName() {
        return methodName;
    }
    /**
     * 方法名 
     * @param methodName
     */
    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    /**
     *  
     * @return
     */
    public String getParams() {
        return params;
    }
    /**
     *  
     * @param params
     */
    public void setParams(String params) {
        this.params = params;
    }

    /**
     * 任务状态    0：成功    1：失败 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 任务状态    0：成功    1：失败 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 失败信息 
     * @return
     */
    public String getError() {
        return error;
    }
    /**
     * 失败信息 
     * @param error
     */
    public void setError(String error) {
        this.error = error;
    }

    /**
     * 耗时(单位：毫秒) 
     * @return
     */
    public Integer getTimes() {
        return times;
    }
    /**
     * 耗时(单位：毫秒) 
     * @param times
     */
    public void setTimes(Integer times) {
        this.times = times;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * id  
     * @return
     */
    public Integer getId() {
        return id;
    }
    /**
     * id  
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "ScheduleJobLogEntity{" +
                ",logId=" + logId +
                ",jobId=" + jobId +
                ",beanName=" + beanName +
                ",methodName=" + methodName +
                ",params=" + params +
                ",status=" + status +
                ",error=" + error +
                ",times=" + times +
                ",createTime=" + createTime +
                ",isDelete=" + isDelete +
                ",modifyTime=" + modifyTime +
                ",id=" + id +
                "}";
    }
}